#include <iostream>

using namespace std;
long long a[100009];
int main()
{
    string s;
    cin>>s;
    long long k=1;
     for(int i=0; i<s.size()-1; i++)
        {
            if(s[i]>s[i+1]) {k++; a[k-2]=i;}
        }
//        for(int i=0; i<k-1; i++)
//        {
//            cout<<a[i]<<' ';
//        }
//        cout<<endl;
    long long q;
   cin>>q;
    while(q--)
    {
        long long n, m, schet=1;
        cin>>n>>m;

        for(int i=0; i<k-1; i++)
        {
           if((a[i])>=(n-1) && (a[i])<(m-1)) {schet++; }
        }
        printf("%d", schet);
        cout<<'\n';
    }
}


